package com.steerinfo.dil.wsdlTest;


import com.steerinfo.dil.wsdl.EASLoginProxy;
import com.steerinfo.dil.wsdl.EASLoginProxyServiceLocator;
import com.steerinfo.dil.wsdl.ServiceInfo;
import com.steerinfo.dil.wsdl.WSContext;
import org.hibernate.sql.Delete;

import javax.xml.rpc.ServiceException;
import java.net.MalformedURLException;
import java.net.URL;
import java.rmi.RemoteException;

/**
 * 登录
 */
public class LoginTestUtil {
//    private static final Logger LOGGER = LoggerFactory.getLogger(LoginUtil.class);

    //登陆实现
    public static WSContext doEASLogin (DeleteServiceInfo serviceInfo) {
        URL endpoint;

        try {
            endpoint = new URL(serviceInfo.getServername() + "EASLogin");
        } catch (MalformedURLException e) {
//            LOGGER.error("[ERROR] new mal URL Error",e);
            throw new RuntimeException(e);
        }
        EASLoginProxy proxy;
        try {
            proxy = new EASLoginProxyServiceLocator().getEASLogin(endpoint);
        } catch (ServiceException e1) {
//            LOGGER.error("[ERROR] getEASLogin Error", e1);
            throw new RuntimeException(e1);
        }
        try {
            return proxy.login(serviceInfo.getUserName(), serviceInfo.getPassword(),
                    serviceInfo.getSlnName(), serviceInfo.getDcName(),
                    serviceInfo.getLanguage(), serviceInfo.getDbType());
        } catch (RemoteException e2) {
//            LOGGER.error("[ERROR] proxy.login Error", e2);    日志
            throw new RuntimeException(e2);
        }
    }
}
